Bug 160769 - "Edit" on dep under Libraries does nothing
"Edit" on dep under Libraries does nothing
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: rmichalsky
issues@apisupport
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 20:28 UTC by Jesse Glick
Modified: 2009-05-01 08:15 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-03-20 20:28:15 UTC
In recent builds I have noticed that if I select a dependency of a module under the Libraries node and click Edit,
nothing happens - no dialog appears.
Comment 1 Jesse Glick 2009-03-20 20:28:56 UTC
Works fine from Libraries tab.
Comment 2 Jesse Glick 2009-03-20 20:32:36 UTC
This is on nb.org modules. EditDependencyAction.actionPerformed in fact says:

                SuiteProvider sp = project.getLookup().lookup(SuiteProvider.class);
                if (sp == null) {
                    ErrorManager.getDefault().log("Cannot get suite for module: " + project.getCodeNameBase()); // NOI18N
                    return;
                }

Well of course this will be null for a nb.org module (or standalone module for that matter).

Also note that ErrorManager.getDefault().log(String) by default does nothing (would be below minimum threshold to even
appear in log file). Use java.util.logging.
Comment 3 Jesse Glick 2009-04-29 17:39:13 UTC
Still broken, quite noticeable.
Comment 4 rmichalsky 2009-04-30 13:56:58 UTC
core-main #4f835157ce16
Comment 5 Quality Engineering 2009-05-01 08:15:12 UTC
Integrated into 'main-golden', will be available in build *200905010201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4f835157ce16
User: Richard Michalsky <rmichalsky@netbeans.org>
Log: #160769: Edit deps on Libraries didn't show up on standalone and NB.org project


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo